Bug 1178673 - Please package ecryptfs-utils for EPEL7
Summary: Please package ecryptfs-utils for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1384023
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 09:48 UTC by neal
Modified: 2017-06-21 08:17 UTC (History)
9 users (show)

Fixed In Version: ecryptfs-utils-111-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 08:17:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1402590 None None None Never

Internal Links: 1402590

Description neal 2015-01-05 09:48:16 UTC
Description of problem:
The Package for ecryptfs is currently not in epel.

Version-Release number of selected component (if applicable):
CentOS7 with EPEL7

Steps to Reproduce:
1. yum search ecryptfs

Additional info:
we need separately encrypted (home) directorys so we can't really use luks.



I'd be very thankful if you could include the package to EPEL7, thanks

Comment 1 Kevin Fenzi 2015-01-05 13:53:23 UTC
Moving to the fedora ecryptfs-utils package for comment from maintainers.

Comment 2 Michal Hlavinka 2015-01-05 16:01:37 UTC
I've requested epel7 branch for ecryptfs-utils in bug #218556

Comment 3 Eric Sandeen 2015-01-05 17:44:53 UTC
where will the kernel driver, ecryptfs.ko come from?  Without that, userspace isn't much use.

-Eric

Comment 4 Michal Hlavinka 2015-01-06 08:31:45 UTC
(In reply to Eric Sandeen from comment #3)
> where will the kernel driver, ecryptfs.ko come from?  Without that,
> userspace isn't much use.

It won't be available out of the box and probably most RHEL/CentOS users won't have it, but some people recompile kernel with different configuration. They will be able to use it. I guess it will be only a fraction, but ecryptfs-utils is not changing too much and it's a quite package, so it can sit in the repository for those who will be able to use it.

Comment 5 Jaroslav Reznik 2015-03-03 16:40:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Horace 2016-03-21 07:51:14 UTC
Just to offer my 2 cents. I am running Oracle Linux 7 inside a Linux Container where the Debian kernel has support for ecryptfs out of the box. It would be great to have ecryptfs in the EPEL7 so ecryptfs-utils can stay up to date. Without having to check and pull the source RPM when an update is available.

Comment 7 Fedora End Of Life 2016-07-19 12:36:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Raphael Groner 2017-02-28 22:14:08 UTC
Reopening. It would be nice to have ecryptfs support in el7 for zulucrypt (via ecryptfs-simple). If it's not possible because of kernel limitation (as noted in comment #4), then please close this bug again with CANTFIX and I'll orphan ecryptfs-simple in epel7.

Comment 9 Fedora Update System 2017-03-01 06:17:18 UTC
ecryptfs-simple-2016.11.16.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-077a3a307d

Comment 10 Fedora Update System 2017-03-01 06:17:31 UTC
ecryptfs-simple-2016.11.16.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-948b76f5ce

Comment 11 Raphael Groner 2017-03-01 22:34:53 UTC
Hi Michael,
please approve my ACL request in PkgDB for the epel7 branch. Though the RHEL7 kernel has no official support for ecryptfs (as stated in comment #4), I would like to maintain the (so far never built) package in epel7 to let users at least use ecryptfs under the circumstance to have their own kernel then installed and get the full features of zulucrypt.

Comment 12 Fedora Update System 2017-06-04 20:15:13 UTC
ecryptfs-utils-111-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2449c917ad

Comment 13 Fedora Update System 2017-06-06 11:54:43 UTC
ecryptfs-utils-111-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2449c917ad

Comment 14 Fedora Update System 2017-06-21 08:17:57 UTC
ecryptfs-utils-111-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.